Summary:	FAX4CUPS - Fax modem as CUPS printer
Name:		fax4CUPS
Version:	1.23
Release:	1mdk
License:	GPL
Group:		Communications

# .tar.bz2 is bigger than .tar.gz for this file
Source:		http://gongolo.usr.dsi.unimi.it/~vigna/fax4CUPS/%{name}-%{version}.tar.gz
Url:		http://gongolo.usr.dsi.unimi.it/~vigna/fax4CUPS/
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	cups
BuildArch:      noarch

%description

A set of very simple GPL'ed shell scripts that act as a CUPS backend
for a serial faxmodem. Essentially, you print with lpr and the fax is
sent. The nice thing is that you have CUPS around, and this means, for
instance, that you can check whether your fax has been sent just using
your favorite browser (as you would do for any other printer), even if
the faxmodem is really on a remote server. There is also a companion
PPD file that allows to set several options from CUPS web interface,
kprinter, or XPP.

There are two additional packages for the fax systems Hylafax and
efax, fax4CUPS-hylafax and fax4CUPS-efax. Install the one
corresponding to your fax system.

%package hylafax
Summary: Specialized fax4CUPS backend/PPD file for Hylafax.
Group: System/Servers
Requires: fax4CUPS hylafax

%description hylafax

If your fax modem is managed by Hylafax, you need this CUPS backend
and PPD file to use it as a CUPS printer.

%package efax
Summary: Specialized fax4CUPS backend/PPD file for efax.
Group: System/Servers
Requires: fax4CUPS efax

%description efax

If your fax modem is managed by efax, you need this CUPS backend and
PPD file to use it as a CUPS printer.

%package mgetty-fax
Summary: Specialized fax4CUPS backend/PPD file for efax.
Group: System/Servers
Requires: fax4CUPS

%description mgetty-fax

If your fax modem is managed by mgetty fax, you need this CUPS backend and
PPD file to use it as a CUPS printer.


%prep

%setup -q

# Configure the fax backend script for the current efax package
perl -p -i -e 's!CONFIG=\"/etc/sysconfig/fax\"!CONFIG=\"/etc/fax.config\"!' fax
# Use Letter as default page size, as it is the case with every printer
perl -p -i -e 's!PAGE=a4!PAGE=letter!' fax
perl -p -i -e 's!\*DefaultPageSize: A4!\*DefaultPageSize: Letter!' fax.ppd

%build

# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
install -d %buildroot%{_mandir}/man1/
install -m 644 fax4CUPS.1 %buildroot%{_mandir}/man1/
install -d %buildroot%{_libdir}/cups/backend/
install -m 755 *fax %buildroot%{_libdir}/cups/backend/
install -d %buildroot%{_datadir}/cups/model/
install -m 644 *fax.ppd %buildroot%{_datadir}/cups/model/
install -d %buildroot/var/log/fax

%post
# Restart the CUPS daemon to refresh the database
! ( lpstat -r 1> /dev/null 2>&1 ) || (
  %{_initrddir}/cups stop 1> /dev/null 2>&1
  %{_initrddir}/cups start 1> /dev/null 2>&1
)

%postun
if [ "$1" = 0 ]; then
 
        # Restart the CUPS daemon to refresh the database
        ! ( lpstat -r 1> /dev/null 2>&1 ) || (
            %{_initrddir}/cups stop 1> /dev/null 2>&1
            %{_initrddir}/cups start 1> /dev/null 2>&1
        )
fi

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc COPYING INSTALL
%{_mandir}/man1/*
%{_libdir}/cups/backend/fax
%{_datadir}/cups/model/fax.ppd
/var/log/fax

%files hylafax
%defattr(-,root,root)
%{_libdir}/cups/backend/hylafax
%{_datadir}/cups/model/hylafax.ppd

%files efax
%defattr(-,root,root)
%{_libdir}/cups/backend/efax
%{_datadir}/cups/model/efax.ppd

%files mgetty-fax
%defattr(-,root,root)
%{_libdir}/cups/backend/mgetty-fax
%{_datadir}/cups/model/mgetty-fax.ppd

%changelog
* Fri Aug 22 2003 Till Kamppeter <till@mandrakesoft.com> 1.23-1mdk
- Updated to version 1.23 (support for mgetty fax).

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.22-3mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 1.22-2mdk
- Splitted the package in sub-packages for efax and hylafax.

* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 1.22-1mdk
- Updated to version 1.22 (explicit support for efax and hylafax).
- Set "BuildArch" to "noarch".

* Thu Aug 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.12-1mdk
- initial release.
